/*
 * This is a manifest file that'll be compiled into application.css, which will include all the files
 * listed below.
 *
 * Any CSS and SCSS file within this directory, lib/assets/stylesheets, or any plugin's
 * vendor/assets/stylesheets directory can be referenced here using a relative path.
 *
 * You're free to add application-wide styles to this file and they'll appear at the bottom of the
 * compiled file so the styles you add here take precedence over styles defined in any other CSS/SCSS
 * files in this directory. Styles in this file should be added after the last require_* statement.
 * It is generally better to create a new file per style scope.
 *
 *= require_tree .
 *= require_self
 */
@import "bootstrap";
.body {
  font-family: Arial, Helvetica, sans-serif;
  background-color: #dddddd;
  font-size: 14px;
  color: #262626;
}
.navbar {
  background-color: black;
  align-self: center;
  border-bottom: 1px solid rgba(0, 0, 0, 0.0975);
  height: 8vh;
  font-size: 1em;
}
.core-sprite {
  //background-image: image-url("icon.png");
  background-repeat: no-repeat;
}

.navbar-brand {
  background-position: 0px 0;
  height: 6.5vh;
  background-repeat: no-repeat;
  align-self: center;
  width: 2.8vw;
}

.box {
  background-color: #fff;
  border: 1px solid #e6e6e6;
  border-radius: 1px;
  padding: 10px 0;
  margin: 0 0 10px;
}

.brand-name-img {
  background-position: 0 0;
  height: 51px;
  width: 175px;
}

.dropbtn {
  background-color: black;
  color: white;
  padding: 16px;
  font-size: 16px;
  border: none;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 500px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.no-text-decoration:hover {
  text-decoration: none;
  color: #262626;
}
.dropdown-content a:hover {
  background-color: #dddddd;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown:hover .dropbtn {
  background-color: black;
}

.whole_flex {
  display: flex;
  justify-content: space-between;
  height: 100vh;
}
.a {
  
  flex-grow: 1;

}
.b {
  flex-grow: 2;
}
.div_header, .shelf_header {
  margin-left: 40%;
  height: 8vh;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 20px;
  font-weight: bold;
}
.categories_title{
  margin-left: 25%;
  height: 8vh;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 20px;
  font-weight: bold;
}

.book_details {
  flex-grow: 1;
}
.book_info {
  display: flex;
  height: 30vh;
  width: 100%;
}
.title,
.about,
.options,
.image_source,
.book_author {
  position: relative;
  margin-left: 2vh;
  margin-top: 2vh;
}
.title {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 20px;
  font-weight: bold;
}

.book_image {
  height: 30vh;
}
.title_n_option {
  display: flex;
}
.options{
  margin-left: 50%;
}
.carousel_slide, .carousel-inner{
  height: 50vh;
}
.label{
  font-family:Arial, Helvetica, sans-serif;
  margin-top: 2vh;
  font-weight: 500;
}
